
QGIS Application - Bug report #11351

[composer] combinations of frame/multiframe undo/redo crashes qgis

2014-10-08 01:47 AM - Nyall Dawson

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19642

Description

Mixing combinations of frame and multiframe undo and redo operations results in a crash.

Related issues:

Related to QGIS Application - Bug report # 11371: Map Composer: group + move ... Closed 2014-10-09

Associated revisions

Revision 4ea5c809 - 2014-10-15 11:17 AM - Nyall Dawson

[composer] Avoid crash when using redo on multiframe (fix #11351)

Since multiframe changes can remove and create new frame items,

it's not safe to directly manipulate frame items in

QgsComposerItemCommand. Now, commands which apply to a frame always

fetch a reference to the correct frame item directly from the

parent multiframe. Also added unit tests for this crash.

History

#1 - 2014-10-08 07:35 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

#2 - 2014-10-15 02:18 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"4ea5c8094851f9f71c0af2d9dde8eebc879dedb2".
